
<form [formGroup]="contactForm">
    <div class="row">
        <div class="col-md-6 mt-2">
            <mdb-form-control>
                <input mdbValidate mdbInput type="text" id="form1" class="form-control" formControlName="name"
                    required />
                <label mdbLabel class="form-label" for="form1">Name</label>

            </mdb-form-control>
            <mdb-error class="text-danger" *ngIf="
            name?.invalid && (name?.dirty || name?.touched)">Name is required</mdb-error>
        </div>
        <div class="col-md-6 mt-2">
            <mdb-form-control>
                <input mdbValidate mdbInput type="text" id="form1" class="form-control" formControlName="email"
                    required />
                <label mdbLabel class="form-label" for="form1">Email</label>

            </mdb-form-control>
            <mdb-error class="text-danger" *ngIf="
            email?.errors?.required && (email?.dirty || email?.touched)">Email is required</mdb-error>
            <mdb-error class="text-danger" *ngIf="
            email?.errors?.email && (email?.dirty || email?.touched)">Email is invalid</mdb-error>
            <mdb-error class="text-danger" *ngIf="
            email?.errors?.uniqueEmail && (email?.dirty || email?.touched)">Email is not unique</mdb-error>
        </div>

        <div class="col-md-6 mt-2">
            <mdb-form-control>
                <input mdbValidate mdbInput type="text" id="form1" class="form-control" formControlName="phone"
                    required />
                <label mdbLabel class="form-label" for="form1">Phone</label>

            </mdb-form-control>
            <mdb-error class="text-danger" *ngIf="
            phone?.errors?.required && (phone?.dirty || phone?.touched)">Phone is required</mdb-error>
        </div>

        <div class="col-md-6 mt-2">
            <mdb-form-control>
                <input mdbValidate mdbInput type="number" id="form2" class="form-control" formControlName="age"
                    required />
                <label mdbLabel class="form-label" for="form2">Age</label>

            </mdb-form-control>
            <mdb-error class="text-danger" *ngIf="age?.errors?.required && (age?.dirty || age?.touched)">Age is required
            </mdb-error>
            <mdb-error class="text-danger" *ngIf="age?.errors?.min && (age?.dirty || age?.touched)">Not of legal age
            </mdb-error>
        </div>
    </div>
    <button mdbRipple type="button" class="btn btn-primary mt-3" (click)="save()">Save</button>
</form>